# This route is to a page explaining the module.
testing_example.description:
  path: '/examples/testing-example'
  defaults:
    _controller: '\Drupal\testing_example\Controller\TestingExampleController::description'
  requirements:
    _permission: 'access content'

testing_example.simpletest_description:
  path: '/examples/testing-example/simpletest'
  defaults:
    _controller: '\Drupal\testing_example\Controller\TestingExampleController::simpletestDescription'
  requirements:
    _permission: 'access content'

# This route displays a sum of two numbers in terms of how many hands are
# required to count it.
testing_example.sum_in_hands:
  path: '/examples/testing-example/sum-in-hands/{first}/{second}'
  defaults:
    _controller: '\Drupal\testing_example\Controller\ContrivedController::displayAddedNumbers'
    first: 23
    second: 77
  requirements:
    _permission: 'access content'
    first: '^[0-9]+'
    second: '^[0-9]+'
